# SolrQuery::setHighlightAlternateField

(PECL solr >= 0.9.2)

SolrQuery::setHighlightAlternateField — Especifica el campo de copia de seguridad a usar

### Descripción

public SolrQuery::setHighlightAlternateField(string `$field`, string `$field_override` = ?): SolrQuery

Si un trozo no se puede generar debido a que no hay términos coincidentes, se puede especificar un campo para usarlo como copia de seguridad del sumario predeterminado

### Parámetros

`field`

  El nombre del campo de copia de seguridad

`field_override`

  El nombre del campo que se va a sobrescribir.

### Valores devueltos

Devuelve el objeto SolrQuery actual, si se usó el valor de retorno.